6 Replies Latest reply on Nov 25, 2015 9:23 PM by Karthik Appsys

    FRM-92160 Web Client Version Too Old

    Karthik Appsys

      Dear Legends,

       

      We have the scenario as we upgraded our Database from 10.2.0.3 - 10.2.0.5 then to 12.1.0.2 with EBS R12.0.6. Only we performed DB Upgrade and we Started testing the Instance.

       

      Probably for 12 - 15 hours the upgraded instance was running and I checked the version for RDBMS from Application navigating through different forms everything went fine.

       

      Today after some time A user Reported that the form is not opening and while opening forms it shows

       

      FRM-92160 Web Client Version Too Old

      Then after searching in metalink found a doc "401424.1" we tried to apply the patch but it also didn't resolved.

      Then also tried clearing all client end Java Cache and Browser Cache nothing resolved.

       

      From the adadmin logs

      adjava -mx512m -nojit oracle.apps.ad.jri.adjmx @/oracle/UAT/apps/apps_st/appl/admin/UAT/out/appsborg.cmd

          You can safely ignore any warnings about missing metadata entries

          in JAR or Zip files which are read to create appsborg.zip.

        Temporarily resetting CLASSPATH to:

      "/oracle/UAT/apps/apps_st/appl/ad/12.0.0/java/adjava.zip:/oracle/UAT/apps/tech_st/10.1.3/appsutil/jdk/lib/dt.jar:/oracle/UAT/apps/tech_st/10.1.3/appsutil/jdk/lib/tools.jar:/oracle/UAT/apps/tech_st/10.1.3/appsutil/jdk/jre/lib/rt.jar:/oracle/UAT/apps/apps_st/comn/java/lib/appsborg.zip:/oracle/UAT/apps/tech_st/10.1.2/forms/java:/oracle/UAT/apps/tech_st/10.1.2/forms/java/frmall.jar:/oracle/UAT/apps/tech_st/10.1.2/jlib/ewt3.jar:/oracle/UAT/apps/tech_st/10.1.2/j2ee/OC4J_BI_Forms/applications/formsapp/formsweb/WEB-INF/lib/frmsrv.jar:/oracle/UAT/apps/apps_st/comn/java/classes"

       

        Calling /oracle/UAT/apps/tech_st/10.1.3/appsutil/jdk/jre/bin/java ...

      The JDK version is 1.5.0_08

      Validating the files/directories specified for -areas option

      About to Analyze the input areas : Wed Nov 25 2015 16:04:34

       

      WARNING: Will not load stale resource unit META-INF/services/java.nio.charset.spi

      WARNING: Unable to load metadata entry from zip file /oracle/UAT/apps/tech_st/10.1.3/lib/xmlparserv2.jar

      Cause: Error while trying to read metadata from file /oracle/UAT/apps/tech_st/10.1.3/lib/xmlparserv2.jar: No metadata entry META-INF/JRIMETA.DAT found

       

      WARNING: Unable to load metadata entry from zip file /oracle/UAT/apps/tech_st/10.1.3/lib/xml.jar

      Cause: Error while trying to read metadata from file /oracle/UAT/apps/tech_st/10.1.3/lib/xml.jar: No metadata entry META-INF/JRIMETA.DAT found

       

      No idea what causing the Issue, may be Jdk update on DB Side has effected ?

      Any kind of help would be much appreciated.

       

      Thanks,

      Karthik